Bug 1969284 - Console Query Browser: Can't reset zoom to fixed time range after dragging to zoom
Summary: Console Query Browser: Can't reset zoom to fixed time range after dragging to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Andrew Pickering
QA Contact: hongyan li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-08 06:43 UTC by Andrew Pickering
Modified: 2021-07-27 23:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:12:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9174 0 None open Bug 1969284: Query Browser: Fix resetting the zoom after dragging to zoom 2021-06-08 06:54:42 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:12:17 UTC

Description Andrew Pickering 2021-06-08 06:43:49 UTC
1. Navigate to Console > Administrator > Monitoring > Query Browser
2. Run any query
3. Zoom the graph by selecting an area with the mouse
4. Reset the zoom either by clicking the Reset Zoom button or by selecting a preset time range

The end time should reset to the current time, but it remains at whatever end time was selected using the mouse.

Comment 3 hongyan li 2021-06-09 03:15:54 UTC
Test with payload 4.8.0-0.nightly-2021-06-08-221300

1. Navigate to Console > Administrator > Monitoring > Query Browser
2. Run any query
3. Zoom the graph by selecting an area with the mouse
4. Reset the zoom either by clicking the Reset Zoom button, end time is reset to the current time
5. Zoom the graph by selecting an area with the mouse
6. Selecting a preset time range, end time is reset to the current time

Comment 6 errata-xmlrpc 2021-07-27 23:12:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.